﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS500A Specifications
DATE:                  2009-11-11 17:49:28
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       91
=============================================================================
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TDS 500A
#          TDS 510A, TDS 520A, TDS 524A, TDS 540A, TDS 544A
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Because there is no chance to verify the execution time of self test and
# signal path compensation test for every model, the below time setting is
# referenced the other model. It can be changed to precise time in actual
# test (time unit is second) once current setting is not proper.

  1.001  IF           ZCMPI(@ModelNum, "TDS 510A")
  1.002  MATH         @Bandwidth = 500E+6; @NumChan = "4"
  1.003  MATH         @SelfTestTime = 160; @SPCTime = 310

  1.004  ELSEIF       ZCMPI(@ModelNum, "TDS 520A")
  1.005  MATH         @Bandwidth = 500E+6; @NumChan = "2+2"
  1.006  MATH         @SelfTestTime = 160; @SPCTime = 310

  1.007  ELSEIF       ZCMPI(@ModelNum, "TDS 524A")
  1.008  MATH         @Bandwidth = 500E+6; @NumChan = "2+2"
  1.009  MATH         @SelfTestTime = 160; @SPCTime = 310

  1.010  ELSEIF       ZCMPI(@ModelNum, "TDS 540A")
  1.011  MATH         @Bandwidth = 500E+6; @NumChan = "4"
  1.012  MATH         @SelfTestTime = 160; @SPCTime = 310

  1.013  ELSEIF       ZCMPI(@ModelNum, "TDS 544A")
  1.014  MATH         @Bandwidth = 500E+6; @NumChan = "4"
  1.015  MATH         @SelfTestTime = 160; @SPCTime = 310

  1.016  ELSE
  1.017  DISP         Sub TDS500A Specifications
  1.017  DISP
  1.017  DISP         Unsupported model number: [V @ModelNum]
  1.018  END
  1.019  ENDIF

# Set variable of optional bandwidth test to default.
  1.020  MATH         @TestOptBW = 0; @OptChBWTime = 3
# Set variable of optional trigger sensitivity test for channel 2, 3 and 4
# to default.
  1.021  MATH         @TestCh234Sens = 0; @OptChSensTime = 3
# Set variable of check times of trigger status to default.
  1.022  MATH         @TriggeredChkTimes = 1

  1.023  END

